/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0


ShaderEffect {
    property var image
    property var mask
    property color passthroughColor: Qt.rgba(1, 0, 0, 1)

    fragmentShader:
        "
        varying highp vec2 qt_TexCoord0;
        uniform sampler2D image;
        uniform sampler2D mask;
        uniform lowp vec4 passthroughColor;
        void main(void)
        {
            lowp vec4 maskColor = texture2D(mask, qt_TexCoord0.st);
            if (maskColor.a != 0.0 && maskColor.rgb == passthroughColor.rgb * maskColor.a) {
                gl_FragColor = texture2D(image, qt_TexCoord0.st);
            } else {
                gl_FragColor = maskColor;
            }
        }
        "
}
