/*
 * Copyright 2013 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtTest 1.0

TestCase {
    // Flickable won't recognise a single mouse move as dragging the flickable.
    // Use 5 steps because it's what 
    // Qt uses in QQuickViewTestUtil::flick
    function mouseFlick(item, x, y, toX, toY, pressMouse, releaseMouse) {
        pressMouse = ((pressMouse != null) ? pressMouse : true); // Default to true for pressMouse if not present
        releaseMouse = ((releaseMouse != null) ? releaseMouse : true); // Default to true for releaseMouse if not present
        var diffX = toX - x
        var diffY = toY - y
        if (pressMouse)
            mousePress(item, x, y)
        for (var i = 0; i < 5; ++i)
            mouseMove(item, x + (i + 1) * diffX, y + (i + 1) * diffY)
        if (releaseMouse)
            mouseRelease(item, toX, toY)
    }
}
