/*
 * Copyright (C) 2012, 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <hud-client.h>

#include "libhud_client_stub.h"

/* Schema that is used in the DeeModel representing
   the appstack */
static const gchar * appstack_model_schema[] = {
    "s", /* Application ID */
    "s", /* Icon Name */
    "i", /* Item Type */
};

DeeModel *appStackModel = 0;

HudClientQuery *hud_client_query_new(const gchar *query)
{
    Q_UNUSED(query);
    return 0;
}

DeeModel *hud_client_query_get_results_model(HudClientQuery *cquery)
{
    Q_UNUSED(cquery);
    return 0;
}

DeeModel *hud_client_query_get_appstack_model(HudClientQuery *cquery)
{
    Q_UNUSED(cquery);
    if (!appStackModel) {
        appStackModel = dee_sequence_model_new();
        dee_model_set_schema_full(appStackModel, appstack_model_schema, G_N_ELEMENTS(appstack_model_schema));
        dee_model_append(appStackModel, "app0", "help", 0);
        dee_model_append(appStackModel, "app1", "folder", 1);
    }
    return appStackModel;
}

void hud_client_query_set_appstack_app(HudClientQuery *cquery, const gchar *application_id)
{
    Q_UNUSED(cquery);
    HudClientStub::m_lastSetAppStackApplicationId = application_id;
}

void hud_client_query_execute_toolbar_item(HudClientQuery *cquery, HudClientQueryToolbarItems item, guint timestamp)
{
    Q_UNUSED(cquery);
    Q_UNUSED(timestamp);
    HudClientStub::m_lastExecutedToolbarItem = item;
}

